action #62201

auto-update failed on osd arm1

Added by okurz about 1 month ago. Updated about 1 month ago.

Status:ResolvedStart date:16/01/2020
Priority:NormalDue date:
Assignee:okurz% Done:

0%

Category:-
Target version:openQA Project - Done
Duration:

Related issues

Copied to openQA Infrastructure - action #62312: auto-update failed on osd arm1 Resolved 18/01/2020

History

#1 Updated by okurz about 1 month ago

  • Target version set to Current Sprint

service "auto-update" failed:

Jan 16 03:01:03 openqaworker-arm-1 zypper[11422]: Retrieving repository 'devel_openQA' metadata [............
Jan 16 03:01:03 openqaworker-arm-1 zypper[11422]: Signature verification failed for file 'repomd.xml' from repository 'devel_openQA'.
Jan 16 03:01:03 openqaworker-arm-1 zypper[11422]:     Note: Signing data enables the recipient to verify that no modifications occurred after the data
Jan 16 03:01:03 openqaworker-arm-1 zypper[11422]:     were signed. Accepting data with no, wrong or unknown signature can lead to a corrupted system
Jan 16 03:01:03 openqaworker-arm-1 zypper[11422]:     and in extreme cases even to a system compromise.
Jan 16 03:01:03 openqaworker-arm-1 zypper[11422]:     Note: File 'repomd.xml' is the repositories master index file. It ensures the integrity of the
Jan 16 03:01:03 openqaworker-arm-1 zypper[11422]:     whole repo.
Jan 16 03:01:03 openqaworker-arm-1 zypper[11422]:     Warning: This file was modified after it has been signed. This may have been a malicious change,
Jan 16 03:01:03 openqaworker-arm-1 zypper[11422]:     so it might not be trustworthy anymore! You should not continue unless you know it's safe.
Jan 16 03:01:03 openqaworker-arm-1 zypper[11422]: Signature verification failed for file 'repomd.xml' from repository 'devel_openQA'. Continue? [yes/no] (no): no
Jan 16 03:01:03 openqaworker-arm-1 zypper[11422]: error]
Jan 16 03:01:03 openqaworker-arm-1 zypper[11422]: Repository 'devel_openQA' is invalid.
Jan 16 03:01:03 openqaworker-arm-1 zypper[11422]: [devel_openQA|http://download.opensuse.org/repositories/devel:/openQA/openSUSE_Leap_15.1/] Valid metadata not found at s>
Jan 16 03:01:03 openqaworker-arm-1 zypper[11422]: Please check if the URIs defined for this repository are pointing to a valid repository.
Jan 16 03:01:03 openqaworker-arm-1 zypper[11422]: Warning: Skipping repository 'devel_openQA' because of the above error.
Jan 16 03:01:57 openqaworker-arm-1 zypper[11422]: Retrieving repository 'openSUSE-Leap-15.1-Update' metadata [...........................done]
Jan 16 03:02:14 openqaworker-arm-1 zypper[11422]: Building repository 'openSUSE-Leap-15.1-Update' cache [....done]
Jan 16 03:02:31 openqaworker-arm-1 zypper[11422]: Some of the repositories have not been refreshed because of an error.

manually restarting the service and potentially rebooting. Probably we can tweak auto-update with some retry.

#2 Updated by okurz about 1 month ago

  • Status changed from In Progress to Resolved
  • Target version changed from Current Sprint to Done

problem on arm1 is resolved. Will create clone for improvement idea.

#3 Updated by okurz about 1 month ago

  • Status changed from Resolved to Feedback
  • Target version changed from Done to Current Sprint

#4 Updated by okurz about 1 month ago

#5 Updated by okurz about 1 month ago

  • Status changed from Feedback to Resolved
  • Target version changed from Current Sprint to Done

nope, found it ;)

Also available in: Atom PDF